library bit_ads_pakage;

import 'package:admob_flutter/admob_flutter.dart';
import 'package:flutter/material.dart';
import 'package:unity_ads_plugin/unity_ads_plugin.dart';

late AdmobInterstitial interstitialAd;
late AdmobReward rewardAd;

var IntraUnitId = "/6499/example/interstitial";
var BannerUnitId = "/6499/example/banner";
var ReawaredUnitId = "/6499/example/rewarded";
var UnityRewardUnitId = "/6499/example/rewarded";
var UnityIntraUnitId = "/6499/example/rewarded";
var UnityBannerUnitId = "/6499/example/rewarded";
var UnityProjectId = "/6499/example/rewarded";

class Googleads {
  static ini() {
    WidgetsFlutterBinding.ensureInitialized();
    // Initialize without device test ids.
    Admob.initialize();
  }

  static loadIntra(var unitid) {
    interstitialAd = AdmobInterstitial(
      adUnitId: IntraUnitId,
    );
    interstitialAd.load();
  }

  static var BannerAdsShow = AdmobBanner(
    adUnitId: BannerUnitId,
    adSize: AdmobBannerSize.BANNER,
  );

  static loadReward(var Unitid) {
    rewardAd = AdmobReward(
      adUnitId: ReawaredUnitId,
    );
    rewardAd.load();
  }
}

class Unityads {
  static unityIntraLoad() {
    UnityAds.load(
      placementId: UnityIntraUnitId,
      onComplete: (placementId) => print('Load Complete $placementId'),
      onFailed: (placementId, error, message) =>
          print('Load Failed $placementId: $error $message'),
    );
  }

  static var unityBannerShow = UnityBannerAd(
    placementId: UnityBannerUnitId,
    onLoad: (placementId) => print('Banner loaded: $placementId'),
    onClick: (placementId) => print('Banner clicked: $placementId'),
    onFailed: (placementId, error, message) =>
        print('Banner Ad $placementId failed: $error $message'),
  );

  static iniUnit() {
    UnityAds.init(
      gameId: UnityProjectId,
      onComplete: () => print('Initialization Complete'),
      onFailed: (error, message) =>
          print('Initialization Failed: $error $message'),
    );
  }
}
